Get Credit Card Auto Pay (GQL)

Note: All the Auto Pay API's have the endpoint: /graphql

Use this GraphQL API to retrieve existing credit card auto-pay configuration for a credit card account. The response provides details such as the configuration name, amount, accounts involved, and current status.
This ensures that users can view and manage their auto-pay setups for their credit cards.

Behaviour: A successful response returns credit card auto-pay standing instruction for a credit card account.

Body Params

The following fields provide detailed information about the GraphQL query to retrieve credit card auto-pay configuration:

ParameterDescriptionMandatoryData TypeExample
getStandingInstructionCreditCardAutoPayThis query retrieves credit card auto-pay configuration for the client.YesQuery
standingInstructionIdThe unique ID of the existing auto-pay standing instruction to be updated.YesInteger27
idThe unique identifier for each standing instruction.YesInteger1
nameThe name of the auto-pay configuration.YesString"Credit Card Auto Pay"
amountThe amount to be automatically paid from the linked account.YesFloat100.00
instructionType.idThe unique ID of the instruction type.YesInteger1
instructionType.codeThe code representing the instruction type.YesString"AUTO_PAY"
instructionType.valueThe human-readable value of the instruction type.YesString"Credit Card Auto Pay"
fromAccount.idThe ID of the account from which the payment is made.YesInteger2
fromAccount.accountNoThe account number from which the payment is deducted.YesString"1234567890"
toAccount.idThe ID of the account to which the payment is made.YesInteger3
toAccount.accountNoThe account number to which the payment is credited.YesString"0987654321"
status.idThe unique ID of the status of the auto-pay configuration.YesInteger1
status.codeThe code representing the status.YesString"ACTIVE"
status.valueThe human-readable value of the status.YesString"Active"
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!